# redhat_subscription_manager Cookbook CHANGELOG

This file is used to list changes made in each version of the redhat_subscription_manager cookbook.

## 1.0.0 (2018-01-29)

- Removed the dependency on the compat_resource cookbook and instead require Chef 12.7 or later. This also fixes issues with running this cookbook on more recent Chef releases where compat_resource is no longer functional.
- Resolved multiple Chef 14 deprecation errors
- Don't try to install the katello package unless we've specified a sat host. This fixes using the public sat endpoint
- Skip all the katello agent download logic not just the remote file. This cleans up logs and speeds up Chef runs.
- Added redhat as a supported platform in the metadata
- Updated license strings to be SPDX compatible license strings
- Updated testing to use ChefDK and Delivery local mode. Gemfile / Rake testing has been removed
- Remove sensitive properly from the resource that wasn't necessary with Chef 12+
- Removed the ChefSpec matchers as these are autogenerated now by ChefSpec in current DK releases.
- Added contributing, testing, and license files
- Converted integration testing to inspec

## [v0.7.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.7.0)

[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.6.1...v0.7.0)

**Closed issues:**

- Registration fails in non-English environments [\#32](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/32)

**Merged pull requests:**

- override languages in environment when running commands [\#33](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/33) ([kleini](https://github.com/kleini))

## [v0.6.1](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.6.1) (2017-10-24)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.6.0...v0.6.1)

**Closed issues:**

- Expose "name" attribute for "--name" argument of subscription-manager [\#26](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/26)
- Kattello Agent install fails because the repo isn't registered yet [\#25](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/25)

**Merged pull requests:**

- Corrected deprecation error on satellite\_host property [\#31](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/31) ([roberto-mardeni](https://github.com/roberto-mardeni))

## [v0.6.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.6.0) (2017-04-24)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.5.0...v0.6.0)

**Merged pull requests:**

- add force registration option [\#24](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/24) ([bcg62](https://github.com/bcg62))

## [v0.5.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.5.0) (2016-03-02)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.4.0...v0.5.0)

**Closed issues:**

- Applying critical errata sometimes fails [\#16](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/16)

**Merged pull requests:**

- Write chefspec matchers. [\#18](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/18) ([erinn](https://github.com/erinn))

## [v0.4.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.4.0) (2016-02-17)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.3.0...v0.4.0)

**Closed issues:**

- Error running in RHEL7 [\#12](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/12)
- When registering with username/password - passwords w/ '&' in them fail [\#10](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/10)
- When registering to Redhat's RHSM with u/p - environment not supported [\#9](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/9)

**Merged pull requests:**

- Don't pull and install a katello cert if it's already installed. [\#17](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/17) ([adamleff](https://github.com/adamleff))
- fixing travis notifications [\#15](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/15) ([adamleff](https://github.com/adamleff))
- Fixing auto-attach scope, and making sensitivity configurable [\#14](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/14) ([adamleff](https://github.com/adamleff))
- Correcting environment parameter usage during registration [\#11](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/11) ([adamleff](https://github.com/adamleff))

## [v0.3.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.3.0) (2016-01-22)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.2.0...v0.3.0)

**Closed issues:**

- Errata Install Doesn't Work On RHEL6 [\#7](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/7)
- Require yum-plugin-security to be installed [\#5](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/5)

## [v0.2.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.2.0) (2015-12-21)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.1.1...v0.2.0)

**Closed issues:**

- Guard katello-agent install? [\#3](https://github.com/chef-partners/redhat-subscription-manager-cookbook/issues/3)

**Merged pull requests:**

- Adding ability to not install katello-agent [\#4](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/4) ([adamleff](https://github.com/adamleff))

## [v0.1.1](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.1.1) (2015-11-24)
[Full Changelog](https://github.com/chef-partners/redhat-subscription-manager-cookbook/compare/v0.1.0...v0.1.1)

**Merged pull requests:**

- Using file\_cache\_path instead of /tmp to satisfy FC013 [\#2](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/2) ([adamleff](https://github.com/adamleff))

## [v0.1.0](https://github.com/chef-partners/redhat-subscription-manager-cookbook/tree/v0.1.0) (2015-11-24)
**Merged pull requests:**

- initial release [\#1](https://github.com/chef-partners/redhat-subscription-manager-cookbook/pull/1) ([adamleff](https://github.com/adamleff))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*
